Use SpreadJS's options properties to control the Tab Strip's visibility and the behavior of its elements:
The leftmost Tab Navigation Arrows: If there are more worksheets than can fit in the tab strip, the arrows will be enabled and the user can use them to show other sheet tabs in the list.
Worksheet Tabs: The user can double click a tab to rename a sheet as well as drag and drop the tab to reorder the sheets.
The hamburger button ("≡"): Show all sheets list.
The circled + button: adding a new sheet to the workbook.
Tab Strip Splitter: Used to split the horizontal space of the control between the Tab Strip and the horizontal scrollbar when the Tab Strip is at the bottom of the workbook.
Tab Strip Position: Specify if the tab strip will be positioned at the bottom (default), top, left or right off the spreadsheet.
Use the tabStripVisible option to control the visibility of the entire Tab Strip :
Set the tabNavigationVisible option to false to hide the navigation arrow buttons which are visible by default.
Allow or prevent the user from renaming the sheets by setting the tabEditable option (boolean)
Allow or prevent the user from reordering the sheets using the allowSheetReorder option (boolean)
Change the ActiveSheets tab's color by setting sheetTabColor which takes a color name string: 'red', 'green'.
Allow or prevent the user from adding sheets to the workbook by using newTabVisible option which controls the visibility of the + circled button (visible by default):
The tabStripRatio option is a percentage value (0.x) that specifies how much of the horizontal space will be allocated to the tab strip. The rest of the horizontal area (1 - 0.x) will allocated to the horizontal scrollbar.
Change the tab strip position relative to the workbook by using tabStripPosition. There are four kinds of directions:
bottom: the tab strip is at the bottom of the workbook, and it is the default value of tabStripPosition.
top: the tab strip is at the top of the workbook.
left: the tab strip is at the left of the workbook.
right: the tab strip is at the right of the workbook.
When the tab strip is at the left or right of the workbook, user could scroll the tabs by using mousewheel.
When the tab strip is at the left or right of the workbook, user could use tabStripWidth to customize its width. It could be useful for the long sheet name. The default and the minimum is 80.
Allow or prevent the user from opening the all sheets dialog by using the allSheetsListVisible option, which controls the visibility of the "≡" button (auto by default):
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import { SpreadSheets, Worksheet, Column } from '@mescius/spread-sheets-react';
import './styles.css';
import { getData } from './data';
export function AppFunc() {
let spread = null;
const data = getData();
let autoGenerateColumns = false;
let tabStripRatio = 0.5;
let tabStripWidth = 80;
let startSheetIndex = 0;
let sheetTabColor = "red";
const initSpread = (sjs) => {
spread = sjs;
spread.setSheetCount(2);
}
const newTabVisible = (e) => {
spread.options.newTabVisible = e.target.checked;
spread.invalidateLayout();
spread.repaint();
}
const tabEditable = (e) => {
spread.options.tabEditable = e.target.checked;
}
const tabStripVisible = (e) => {
spread.options.tabStripVisible = e.target.checked;
spread.invalidateLayout();
spread.repaint();
}
const tabNavigationVisible = (e) => {
spread.options.tabNavigationVisible = e.target.checked;
}
const allSheetsButtonVisible = (e) => {
spread.options.allSheetsListVisible = Number(e.target.value);
}
const tabStripPosition = (e) => {
spread.options.tabStripPosition = Number(e.target.value);
}
const changeTabStripRatio = (e) => {
tabStripRatio = parseFloat(e.target.value);
}
const changeTabStripWidth = (e) => {
tabStripWidth = parseInt(e.target.value);
}
const setTabStripRatio = (e) => {
let ratio = tabStripRatio;
if (!isNaN(ratio)) {
spread.options.tabStripRatio = ratio;
}
}
const setTabStripWidth = (e) => {
let width = tabStripWidth;
if (!isNaN(width)) {
spread.options.tabStripWidth = width;
}
}
const changeStartSheetIndex = (e) => {
startSheetIndex = parseInt(e.target.value);
}
const setStartSheetIndex = (e) => {
let index = startSheetIndex;
if (!isNaN(index)) {
index = parseInt(index);
if (0 <= index && index < spread.getSheetCount()) {
spread.startSheetIndex(index);
}
}
}
const changeSheetTabColor = (e) => {
sheetTabColor = e.target.value;
}
const setSheetTabColor = (e) => {
let sheet = spread.getActiveSheet();
if (sheet) {
let color = sheetTabColor;
if (color) {
sheet.options.sheetTabColor = color;
}
}
}
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet dataSource={data} autoGenerateColumns={autoGenerateColumns}>
<Column dataField='Film' width={160}></Column>
<Column dataField='Genre' width={70}></Column>
<Column dataField='Lead Studio' width={90}></Column>
<Column dataField='Audience Score %' width={110}></Column>
<Column dataField='Profitability' width={80}></Column>
<Column dataField='Rating'></Column>
<Column dataField='Worldwide Gross' width={110}></Column>
<Column dataField='Year'></Column>
</Worksheet>
</SpreadSheets>
</div>
<div className="options-container">
<div className="option-row">
<label>Use these options to change the appearance and behavior of the tab strip.</label>
</div>
<div className="option-row">
<input type="checkbox" id="newtab_show" defaultChecked onChange={e => newTabVisible(e)} />
<label htmlFor="newtab_show">showNewTab</label>
</div>
<div className="option-row">
<input type="checkbox" id="tab_editable" defaultChecked onChange={e => tabEditable(e)} />
<label htmlFor="tab_editable">tabEditable</label>
</div>
<div className="option-row">
<input type="checkbox" id="tabstrip_visible" defaultChecked onChange={e => tabStripVisible(e)} />
<label htmlFor="tabstrip_visible">tabStripVisible</label>
</div>
<div className="option-row">
<input type="checkbox" id="tabnavigation_Visible" defaultChecked onChange={e => tabNavigationVisible(e)} />
<label htmlFor="tabnavigation_Visible">tabNavigationVisible</label>
</div>
<div className="option-row">
<select id="allSheetsButton_Visible" onChange={e => allSheetsButtonVisible(e)}>
<option value="2">auto</option>
<option value="0">hidden</option>
<option value="1">show</option>
</select>
<label htmlFor="allSheetsButton_Visible">allSheetsButtonVisible</label>
</div>
<div class="option-row">
<select id="tabstrip_position" onChange={e => tabStripPosition(e)}>
<option value="0">bottom</option>
<option value="1">top</option>
<option value="2">left</option>
<option value="3">right</option>
</select>
<label for="tabstrip_position">tabStripPosition</label>
</div>
<hr />
<label htmlFor="sheetTabColor" className="sizedLabel" style={{ paddingTop: '20px' }}>activeSheetTabColor:</label>
<div className="option-row">
<input type="text" id="sheetTabColor" defaultValue="red" onChange={e => changeSheetTabColor(e)} />
<input type="button" id="setSheetTabColor" defaultValue="Set" onClick={e => setSheetTabColor(e)} />
</div>
<label>This changes the color for the tab of the active sheet.</label>
<br />
<label htmlFor="startSheetIndex" className="sizedLabel" style={{ paddingTop: '20px' }}>startSheetIndex:</label>
<div className="option-row">
<input type="text" id="startSheetIndex" defaultValue={0} onChange={e => changeStartSheetIndex(e)} />
<input type="button" id="setStartSheetIndex" defaultValue="Set" onClick={e => setStartSheetIndex(e)} />
</div>
<label>This navigates the sheet tab to the tab at the index specified (starting at 0).</label>
<br />
<label htmlFor="tabstrip_ratio" className="sizedLabel" style={{ paddingTop: '20px' }}>tabStripRatio:</label>
<div className="option-row">
<input type="text" id="tabstrip_ratio" defaultValue="0.5" onChange={e => changeTabStripRatio(e)} />
<input type="button" defaultValue="Set" id="setTabStripRatio" onClick={e => setTabStripRatio(e)} />
</div>
<label>This specifies the width ratio of the TabStrip to the width of the Spread instance (between 0 and 1).</label>
<br />
<label for="tabstrip_width" class="sizedLabel" style={{ paddingTop: '20px' }}>tabStripWidth:</label>
<div class="option-row">
<input type="text" id="tabstrip_width" defaultValue="80" onChange={e => changeTabStripWidth(e)} />
<input type="button" value="Set" id="setTabStripWidth" onClick={e => setTabStripWidth(e)} />
</div>
<label >This specifies the width of the TabStrip when it is at the left and right of workbook. The minimum is 80.</label>
</div>
</div>);
}
import * as React from 'react';
import { SpreadSheets, Worksheet, Column } from '@mescius/spread-sheets-react';
import './styles.css';
import { getData } from './data';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
this.data = getData();
this.autoGenerateColumns = false;
this.tabStripRatio = 0.5;
this.tabStripWidth = 80;
this.startSheetIndex = 0;
this.sheetTabColor = "red";
}
render() {
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet dataSource={this.data} autoGenerateColumns={this.autoGenerateColumns}>
<Column dataField='Film' width={160}></Column>
<Column dataField='Genre' width={70}></Column>
<Column dataField='Lead Studio' width={90}></Column>
<Column dataField='Audience Score %' width={110}></Column>
<Column dataField='Profitability' width={80}></Column>
<Column dataField='Rating'></Column>
<Column dataField='Worldwide Gross' width={110}></Column>
<Column dataField='Year'></Column>
</Worksheet>
</SpreadSheets>
</div>
<div className="options-container">
<div className="option-row">
<label>Use these options to change the appearance and behavior of the tab strip.</label>
</div>
<div className="option-row">
<input type="checkbox" id="newtab_show" defaultChecked onChange={e=>this.newTabVisible(e)}/>
<label htmlFor="newtab_show">showNewTab</label>
</div>
<div className="option-row">
<input type="checkbox" id="tab_editable" defaultChecked onChange={e=>this.tabEditable(e)} />
<label htmlFor="tab_editable">tabEditable</label>
</div>
<div className="option-row">
<input type="checkbox" id="tabstrip_visible" defaultChecked onChange={e=>this.tabStripVisible(e)}/>
<label htmlFor="tabstrip_visible">tabStripVisible</label>
</div>
<div className="option-row">
<input type="checkbox" id="tabnavigation_Visible" defaultChecked onChange={e=>this.tabNavigationVisible(e)}/>
<label htmlFor="tabnavigation_Visible">tabNavigationVisible</label>
</div>
<div className="option-row">
<select id="allSheetsButton_Visible" onChange={e=>this.allSheetsButtonVisible(e)}>
<option value="2">auto</option>
<option value="0">hidden</option>
<option value="1">show</option>
</select>
<label htmlFor="allSheetsButton_Visible">allSheetsButtonVisible</label>
</div>
<div class="option-row">
<select id="tabstrip_position" onChange={e=>this.tabStripPosition(e)}>
<option value="0">bottom</option>
<option value="1">top</option>
<option value="2">left</option>
<option value="3">right</option>
</select>
<label for="tabstrip_position">tabStripPosition</label>
</div>
<hr />
<label htmlFor="sheetTabColor" className="sizedLabel" style={{ paddingTop: '20px' }}>activeSheetTabColor:</label>
<div className="option-row">
<input type="text" id="sheetTabColor" defaultValue="red" onChange={e=>this.changeSheetTabColor(e)} />
<input type="button" id="setSheetTabColor" defaultValue="Set" onClick={e=>this.setSheetTabColor(e)}/>
</div>
<label>This changes the color for the tab of the active sheet.</label>
<br />
<label htmlFor="startSheetIndex" className="sizedLabel" style={{ paddingTop: '20px' }}>startSheetIndex:</label>
<div className="option-row">
<input type="text" id="startSheetIndex" defaultValue={0} onChange={e=>this.changeStartSheetIndex(e)}/>
<input type="button" id="setStartSheetIndex" defaultValue="Set" onClick={e=>this.setStartSheetIndex(e)}/>
</div>
<label>This navigates the sheet tab to the tab at the index specified (starting at 0).</label>
<br />
<label htmlFor="tabstrip_ratio" className="sizedLabel" style={{ paddingTop: '20px' }}>tabStripRatio:</label>
<div className="option-row">
<input type="text" id="tabstrip_ratio" defaultValue="0.5" onChange={e=>this.changeTabStripRatio(e)}/>
<input type="button" defaultValue="Set" id="setTabStripRatio" onClick={e=>this.setTabStripRatio(e)}/>
</div>
<label>This specifies the width ratio of the TabStrip to the width of the Spread instance (between 0 and 1).</label>
<br />
<label for="tabstrip_width" class="sizedLabel" style={{ paddingTop: '20px' }}>tabStripWidth:</label>
<div class="option-row">
<input type="text" id="tabstrip_width" defaultValue="80" onChange={e=>this.changeTabStripWidth(e)} />
<input type="button" value="Set" id="setTabStripWidth" onClick={e=>this.setTabStripWidth(e)} />
</div>
<label >This specifies the width of the TabStrip when it is at the left and right of workbook. The minimum is 80.</label>
</div>
</div>);
}
initSpread(spread) {
this.spread = spread;
spread.setSheetCount(2);
}
newTabVisible(e) {
let spread = this.spread;
spread.options.newTabVisible = e.target.checked;
spread.invalidateLayout();
spread.repaint();
}
tabEditable(e) {
let spread = this.spread;
spread.options.tabEditable = e.target.checked;
}
tabStripVisible(e) {
let spread = this.spread;
spread.options.tabStripVisible = e.target.checked;
spread.invalidateLayout();
spread.repaint();
}
tabNavigationVisible(e) {
let spread = this.spread;
spread.options.tabNavigationVisible = e.target.checked;
}
allSheetsButtonVisible(e) {
let spread = this.spread;
spread.options.allSheetsListVisible = Number(e.target.value);
}
tabStripPosition(e) {
let spread = this.spread;
spread.options.tabStripPosition = Number(e.target.value);
}
changeTabStripRatio(e) {
this.tabStripRatio = parseFloat(e.target.value);
}
changeTabStripWidth(e) {
this.tabStripWidth = parseInt(e.target.value);
}
setTabStripRatio(e) {
let spread = this.spread;
let ratio = this.tabStripRatio;
if (!isNaN(ratio)) {
spread.options.tabStripRatio = ratio;
}
}
setTabStripWidth(e) {
let spread = this.spread;
let width = this.tabStripWidth;
if (!isNaN(width)) {
spread.options.tabStripWidth = width;
}
}
changeStartSheetIndex(e) {
this.startSheetIndex = parseInt(e.target.value);
}
setStartSheetIndex(e) {
let spread = this.spread;
let index = this.startSheetIndex;
if (!isNaN(index)) {
index = parseInt(index);
if (0 <= index && index < spread.getSheetCount()) {
spread.startSheetIndex(index);
}
}
}
changeSheetTabColor(e) {
this.sheetTabColor = e.target.value;
}
setSheetTabColor(e) {
let spread = this.spread;
let sheet = spread.getActiveSheet();
if (sheet) {
let color = this.sheetTabColor;
if (color) {
sheet.options.sheetTabColor = color;
}
}
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sizedLabel {
display: inline-block;
width: 150px;
}
.colorLabel {
background-color: #F4F8EB;
}
input[type="text"] {
width: 100px;
}
input[type="button"] {
width: 60px;
margin: 0 10px;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
}
label {
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
hr {
border-color: #fff;
opacity: .2;
margin-top: 20px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
export function getData() {
return [
{
"Film": "27 Dresses",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 71,
"Profitability": 5.34,
"Rating": 40,
"Worldwide Gross": 160.30,
"Year": 2008
},
{
"Film": "(500) Days of Summer",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 81,
"Profitability": 8.09,
"Rating": 87,
"Worldwide Gross": 60.72,
"Year": 2009
},
{
"Film": "A Dangerous Method",
"Genre": "Drama",
"Lead Studio": "Independent",
"Audience Score %": 89,
"Profitability": 0.44,
"Rating": 79,
"Worldwide Gross": 8.97,
"Year": 2011
},
{
"Film": "A Serious Man",
"Genre": "Drama",
"Lead Studio": "Universal",
"Audience Score %": 64,
"Profitability": 4.38,
"Rating": 89,
"Worldwide Gross": 30.68,
"Year": 2009
},
{
"Film": "Across the Universe",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 84,
"Profitability": 0.65,
"Rating": 54,
"Worldwide Gross": 29.36,
"Year": 2007
},
{
"Film": "Beginners",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 80,
"Profitability": 4.47,
"Rating": 84,
"Worldwide Gross": 14.31,
"Year": 2011
},
{
"Film": "Dear John",
"Genre": "Drama",
"Lead Studio": "Sony",
"Audience Score %": 66,
"Profitability": 4.5988,
"Rating": 29,
"Worldwide Gross": 114.97,
"Year": 2010
},
{
"Film": "Enchanted",
"Genre": "Comedy",
"Lead Studio": "Disney",
"Audience Score %": 80,
"Profitability": 4.00,
"Rating": 93,
"Worldwide Gross": 340.48,
"Year": 2007
},
{
"Film": "Fireproof",
"Genre": "Drama",
"Lead Studio": "Independent",
"Audience Score %": 51,
"Profitability": 66.93,
"Rating": 40,
"Worldwide Gross": 33.46,
"Year": 2008
},
{
"Film": "Four Christmases",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 52,
"Profitability": 2.02,
"Rating": 26,
"Worldwide Gross": 161.83,
"Year": 2008
},
{
"Film": "Ghosts of Girlfriends Past",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 47,
"Profitability": 2.0444,
"Rating": 27,
"Worldwide Gross": 102.22,
"Year": 2009
},
{
"Film": "Gnomeo and Juliet",
"Genre": "Animation",
"Lead Studio": "Disney",
"Audience Score %": 52,
"Profitability": 5.38,
"Rating": 56,
"Worldwide Gross": 193.96,
"Year": 2011
},
{
"Film": "Going the Distance",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 56,
"Profitability": 1.31,
"Rating": 53,
"Worldwide Gross": 42.05,
"Year": 2010
},
{
"Film": "Good Luck Chuck",
"Genre": "Comedy",
"Lead Studio": "Lionsgate",
"Audience Score %": 61,
"Profitability": 2.36,
"Rating": 3,
"Worldwide Gross": 59.19,
"Year": 2007
},
{
"Film": "He's Just Not That Into You",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 60,
"Profitability": 7.15,
"Rating": 42,
"Worldwide Gross": 178.84,
"Year": 2009
},
{
"Film": "High School Musical 3: Senior Year",
"Genre": "Comedy",
"Lead Studio": "Disney",
"Audience Score %": 76,
"Profitability": 22.91,
"Rating": 65,
"Worldwide Gross": 252.04,
"Year": 2008
},
{
"Film": "I Love You Phillip Morris",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 57,
"Profitability": 1.34,
"Rating": 71,
"Worldwide Gross": 20.1,
"Year": 2010
},
{
"Film": "It's Complicated",
"Genre": "Comedy",
"Lead Studio": "Universal",
"Audience Score %": 63,
"Profitability": 2.64,
"Rating": 56,
"Worldwide Gross": 224.6,
"Year": 2009
},
{
"Film": "Jane Eyre",
"Genre": "Romance",
"Lead Studio": "Universal",
"Audience Score %": 77,
"Profitability": null,
"Rating": 85,
"Worldwide Gross": 30.14,
"Year": 2011
},
{
"Film": "Just Wright",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 58,
"Profitability": 1.79,
"Rating": 45,
"Worldwide Gross": 21.56,
"Year": 2010
},
{
"Film": "Killers",
"Genre": "Action",
"Lead Studio": "Lionsgate",
"Audience Score %": 45,
"Profitability": 1.24,
"Rating": 11,
"Worldwide Gross": 93.4,
"Year": 2010
},
{
"Film": "Knocked Up",
"Genre": "Comedy",
"Lead Studio": "Universal",
"Audience Score %": 83,
"Profitability": 6.63,
"Rating": 91,
"Worldwide Gross": 219.00,
"Year": 2007
},
{
"Film": "Leap Year",
"Genre": "Comedy",
"Lead Studio": "Universal",
"Audience Score %": 49,
"Profitability": 1.71,
"Rating": 21,
"Worldwide Gross": 32.59,
"Year": 2010
},
{
"Film": "Letters to Juliet",
"Genre": "Comedy",
"Lead Studio": "Summit",
"Audience Score %": 62,
"Profitability": 2.639333333,
"Rating": 40,
"Worldwide Gross": 79.18,
"Year": 2010
},
{
"Film": "License to Wed",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 55,
"Profitability": 1.98,
"Rating": 8,
"Worldwide Gross": 69.30,
"Year": 2007
},
{
"Film": "Life as We Know It",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 62,
"Profitability": 2.53,
"Rating": 28,
"Worldwide Gross": 96.16,
"Year": 2010
},
{
"Film": "Love & Other Drugs",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 55,
"Profitability": 1.81,
"Rating": 48,
"Worldwide Gross": 54.53,
"Year": 2010
},
{
"Film": "Love Happens",
"Genre": "Drama",
"Lead Studio": "Universal",
"Audience Score %": 40,
"Profitability": 2.00,
"Rating": 18,
"Worldwide Gross": 36.08,
"Year": 2009
},
{
"Film": "Made of Honor",
"Genre": "Comedy",
"Lead Studio": "Sony",
"Audience Score %": 61,
"Profitability": 2.64,
"Rating": 13,
"Worldwide Gross": 105.96,
"Year": 2008
},
{
"Film": "Mamma Mia!",
"Genre": "Comedy",
"Lead Studio": "Universal",
"Audience Score %": 76,
"Profitability": 9.23,
"Rating": 53,
"Worldwide Gross": 609.47,
"Year": 2008
},
{
"Film": "Marley and Me",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 77,
"Profitability": 3.746781818,
"Rating": 63,
"Worldwide Gross": 206.073,
"Year": 2008
},
{
"Film": "Midnight in Paris",
"Genre": "Romance",
"Lead Studio": "Sony",
"Audience Score %": 84,
"Profitability": 8.74,
"Rating": 93,
"Worldwide Gross": 148.66,
"Year": 2011
},
{
"Film": "Miss Pettigrew Lives for a Day",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 70,
"Profitability": 0.25,
"Rating": 78,
"Worldwide Gross": 15.17,
"Year": 2008
},
{
"Film": "Monte Carlo",
"Genre": "Romance",
"Lead Studio": "20th Century Fox",
"Audience Score %": 50,
"Profitability": 1.98,
"Rating": 38,
"Worldwide Gross": 39.66,
"Year": 2011
},
{
"Film": "Music and Lyrics",
"Genre": "Romance",
"Lead Studio": "Warner Bros.",
"Audience Score %": 70,
"Profitability": 3.64,
"Rating": 63,
"Worldwide Gross": 145.89,
"Year": 2007
},
{
"Film": "My Week with Marilyn",
"Genre": "Drama",
"Lead Studio": "The Weinstein Company",
"Audience Score %": 84,
"Profitability": 0.82,
"Rating": 83,
"Worldwide Gross": 8.25,
"Year": 2011
},
{
"Film": "New Year's Eve",
"Genre": "Romance",
"Lead Studio": "Warner Bros.",
"Audience Score %": 48,
"Profitability": 2.53,
"Rating": 8,
"Worldwide Gross": 142.04,
"Year": 2011
},
{
"Film": "Nick and Norah's Infinite Playlist",
"Genre": "Comedy",
"Lead Studio": "Sony",
"Audience Score %": 67,
"Profitability": 3.35,
"Rating": 73,
"Worldwide Gross": 33.52,
"Year": 2008
},
{
"Film": "No Reservations",
"Genre": "Comedy",
"Lead Studio": "",
"Audience Score %": 64,
"Profitability": 3.30,
"Rating": 39,
"Worldwide Gross": 92.60,
"Year": 2007
},
{
"Film": "Not Easily Broken",
"Genre": "Drama",
"Lead Studio": "Independent",
"Audience Score %": 66,
"Profitability": 2.14,
"Rating": 34,
"Worldwide Gross": 10.7,
"Year": 2009
},
{
"Film": "One Day",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 54,
"Profitability": 3.68,
"Rating": 37,
"Worldwide Gross": 55.24,
"Year": 2011
},
{
"Film": "Our Family Wedding",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 49,
"Profitability": null,
"Rating": 14,
"Worldwide Gross": 21.37,
"Year": 2010
},
{
"Film": "Over Her Dead Body",
"Genre": "Comedy",
"Lead Studio": "New Line",
"Audience Score %": 47,
"Profitability": 2.07,
"Rating": 15,
"Worldwide Gross": 20.71,
"Year": 2008
},
{
"Film": "P.S. I Love You",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 82,
"Profitability": 5.10,
"Rating": 21,
"Worldwide Gross": 153.09,
"Year": 2007
},
{
"Film": "Penelope",
"Genre": "Comedy",
"Lead Studio": "Summit",
"Audience Score %": 74,
"Profitability": 1.38,
"Rating": 52,
"Worldwide Gross": 20.74,
"Year": 2008
},
{
"Film": "Rachel Getting Married",
"Genre": "Drama",
"Lead Studio": "Independent",
"Audience Score %": 61,
"Profitability": 1.38,
"Rating": 85,
"Worldwide Gross": 16.61,
"Year": 2008
},
{
"Film": "Remember Me",
"Genre": "Drama",
"Lead Studio": "Summit",
"Audience Score %": 70,
"Profitability": 3.49,
"Rating": 28,
"Worldwide Gross": 55.86,
"Year": 2010
},
{
"Film": "Sex and the City",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 81,
"Profitability": 7.22,
"Rating": 49,
"Worldwide Gross": 415.25,
"Year": 2008
},
{
"Film": "Sex and the City 2",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 49,
"Profitability": 2.88,
"Rating": 15,
"Worldwide Gross": 288.35,
"Year": 2010
},
{
"Film": "She's Out of My League",
"Genre": "Comedy",
"Lead Studio": "Paramount",
"Audience Score %": 60,
"Profitability": 2.44,
"Rating": 57,
"Worldwide Gross": 48.81,
"Year": 2010
},
{
"Film": "Something Borrowed",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": null,
"Profitability": 1.71,
"Rating": null,
"Worldwide Gross": 60.18,
"Year": 2011
},
{
"Film": "Tangled",
"Genre": "Animation",
"Lead Studio": "Disney",
"Audience Score %": 88,
"Profitability": 1.36,
"Rating": 89,
"Worldwide Gross": 355.08,
"Year": 2010
},
{
"Film": "The Back-up Plan",
"Genre": "Comedy",
"Lead Studio": "CBS",
"Audience Score %": 47,
"Profitability": 2.20,
"Rating": 20,
"Worldwide Gross": 77.09,
"Year": 2010
},
{
"Film": "The Curious Case of Benjamin Button",
"Genre": "Fantasy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 81,
"Profitability": 1.78,
"Rating": 73,
"Worldwide Gross": 285.43,
"Year": 2008
},
{
"Film": "The Duchess",
"Genre": "Drama",
"Lead Studio": "Paramount",
"Audience Score %": 68,
"Profitability": 3.20,
"Rating": 60,
"Worldwide Gross": 43.30,
"Year": 2008
},
{
"Film": "The Heartbreak Kid",
"Genre": "Comedy",
"Lead Studio": "Paramount",
"Audience Score %": 41,
"Profitability": 2.12,
"Rating": 30,
"Worldwide Gross": 127.76,
"Year": 2007
},
{
"Film": "The Invention of Lying",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 47,
"Profitability": 1.75,
"Rating": 56,
"Worldwide Gross": 32.4,
"Year": 2009
},
{
"Film": "The Proposal",
"Genre": "Comedy",
"Lead Studio": "Disney",
"Audience Score %": 74,
"Profitability": 7.86,
"Rating": 43,
"Worldwide Gross": 314.7,
"Year": 2009
},
{
"Film": "The Time Traveler's Wife",
"Genre": "Drama",
"Lead Studio": "Paramount",
"Audience Score %": 65,
"Profitability": 2.59,
"Rating": 38,
"Worldwide Gross": 101.33,
"Year": 2009
},
{
"Film": "The Twilight Saga: New Moon",
"Genre": "Drama",
"Lead Studio": "Summit",
"Audience Score %": 78,
"Profitability": 14.19,
"Rating": 27,
"Worldwide Gross": 709.82,
"Year": 2009
},
{
"Film": "The Ugly Truth",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 68,
"Profitability": 5.40,
"Rating": 14,
"Worldwide Gross": 205.3,
"Year": 2009
},
{
"Film": "Twilight",
"Genre": "Romance",
"Lead Studio": "Summit",
"Audience Score %": 82,
"Profitability": 10.18,
"Rating": 49,
"Worldwide Gross": 376.66,
"Year": 2008
},
{
"Film": "Twilight: Breaking Dawn",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 68,
"Profitability": 6.38,
"Rating": 26,
"Worldwide Gross": 702.17,
"Year": 2011
},
{
"Film": "Tyler Perry's Why Did I get Married",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 47,
"Profitability": 3.72,
"Rating": 46,
"Worldwide Gross": 55.862886,
"Year": 2007
},
{
"Film": "Valentine's Day",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 54,
"Profitability": 4.18,
"Rating": 17,
"Worldwide Gross": 217.57,
"Year": 2010
},
{
"Film": "Waiting For Forever",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 53,
"Profitability": 0.005,
"Rating": 6,
"Worldwide Gross": 0.025,
"Year": 2011
},
{
"Film": "Waitress",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 67,
"Profitability": 11.08,
"Rating": 89,
"Worldwide Gross": 22.17,
"Year": 2007
},
{
"Film": "WALL-E",
"Genre": "Animation",
"Lead Studio": "Disney",
"Audience Score %": 89,
"Profitability": 2.89,
"Rating": 96,
"Worldwide Gross": 521.28,
"Year": 2008
},
{
"Film": "Water For Elephants",
"Genre": "Drama",
"Lead Studio": "20th Century Fox",
"Audience Score %": 72,
"Profitability": 3.081421053,
"Rating": 60,
"Worldwide Gross": 117.094,
"Year": 2011
},
{
"Film": "What Happens in Vegas",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 72,
"Profitability": 6.26,
"Rating": 28,
"Worldwide Gross": 219.36,
"Year": 2008
},
{
"Film": "When in Rome",
"Genre": "Comedy",
"Lead Studio": "Disney",
"Audience Score %": 44,
"Profitability": 0,
"Rating": 15,
"Worldwide Gross": 43.04,
"Year": 2010
},
{
"Film": "You Will Meet a Tall Dark Stranger",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 35,
"Profitability": 1.21,
"Rating": 43,
"Worldwide Gross": 26.66,
"Year": 2010
},
{
"Film": "Youth in Revolt",
"Genre": "Comedy",
"Lead Studio": "The Weinstein Company",
"Audience Score %": 52,
"Profitability": 1.09,
"Rating": 68,
"Worldwide Gross": 19.62,
"Year": 2010
},
{
"Film": "Zack and Miri Make a Porno",
"Genre": "Romance",
"Lead Studio": "The Weinstein Company",
"Audience Score %": 70,
"Profitability": 1.74,
"Rating": 64,
"Worldwide Gross": 41.94,
"Year": 2008
}
];
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

Use SpreadJS's options properties to control the Tab Strip's visibility and the behavior of its elements:
The leftmost Tab Navigation Arrows: If there are more worksheets than can fit in the tab strip, the arrows will be enabled and the user can use them to show other sheet tabs in the list.
Worksheet Tabs: The user can double click a tab to rename a sheet as well as drag and drop the tab to reorder the sheets.
The hamburger button ("≡"): Show all sheets list.
The circled + button: adding a new sheet to the workbook.
Tab Strip Splitter: Used to split the horizontal space of the control between the Tab Strip and the horizontal scrollbar when the Tab Strip is at the bottom of the workbook.
Tab Strip Position: Specify if the tab strip will be positioned at the bottom (default), top, left or right off the spreadsheet.
Use the tabStripVisible option to control the visibility of the entire Tab Strip :
Set the tabNavigationVisible option to false to hide the navigation arrow buttons which are visible by default.
Allow or prevent the user from renaming the sheets by setting the tabEditable option (boolean)
Allow or prevent the user from reordering the sheets using the allowSheetReorder option (boolean)
Change the ActiveSheets tab's color by setting sheetTabColor which takes a color name string: 'red', 'green'.
Allow or prevent the user from adding sheets to the workbook by using newTabVisible option which controls the visibility of the + circled button (visible by default):
The tabStripRatio option is a percentage value (0.x) that specifies how much of the horizontal space will be allocated to the tab strip. The rest of the horizontal area (1 - 0.x) will allocated to the horizontal scrollbar.
Change the tab strip position relative to the workbook by using tabStripPosition. There are four kinds of directions:
bottom: the tab strip is at the bottom of the workbook, and it is the default value of tabStripPosition.
top: the tab strip is at the top of the workbook.
left: the tab strip is at the left of the workbook.
right: the tab strip is at the right of the workbook.
When the tab strip is at the left or right of the workbook, user could scroll the tabs by using mousewheel.
When the tab strip is at the left or right of the workbook, user could use tabStripWidth to customize its width. It could be useful for the long sheet name. The default and the minimum is 80.
Allow or prevent the user from opening the all sheets dialog by using the allSheetsListVisible option, which controls the visibility of the "≡" button (auto by default):
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import { getData } from './app.data';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
autoGenerateColumns = false;
dataSource: any[];
spread: GC.Spread.Sheets.Workbook;
tabStripRatio = 0.5;
startSheetIndex = 0;
sheetTabColor: string = "red";
tabStripWidth = 80;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
this.dataSource = getData();
}
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
spread.setSheetCount(2);
}
newTabVisible(e: any) {
let spread = this.spread;
spread.options.newTabVisible = e.target.checked;
spread.invalidateLayout();
spread.repaint();
}
tabEditable(e: any) {
let spread = this.spread;
spread.options.tabEditable = e.target.checked;
}
tabStripVisible(e: any) {
let spread = this.spread;
spread.options.tabStripVisible = e.target.checked;
spread.invalidateLayout();
spread.repaint();
}
tabNavigationVisible(e: any) {
let spread = this.spread;
spread.options.tabNavigationVisible = e.target.checked;
}
allSheetsButtonVisible(e: any) {
let spread = this.spread;
spread.options.allSheetsListVisible = Number(e.target.value);
}
tabStripPosition(e: any) {
let spread = this.spread;
spread.options.tabStripPosition = Number(e.target.value);
}
changeTabStripRatio(e: any) {
this.tabStripRatio = parseFloat(e.target.value);
}
changeTabStripWidth(e: any) {
this.tabStripWidth = parseInt(e.target.value);
}
setTabStripRatio(e: any) {
let spread = this.spread;
let ratio = this.tabStripRatio;
if (!isNaN(ratio)) {
spread.options.tabStripRatio = ratio;
}
}
setTabStripWidth(e: any) {
let spread = this.spread;
let width = this.tabStripWidth;
if (!isNaN(width)) {
spread.options.tabStripWidth = width;
}
}
changeStartSheetIndex(e: any) {
this.startSheetIndex = parseInt(e.target.value);
}
setStartSheetIndex(e: any) {
let spread = this.spread;
let index = this.startSheetIndex;
if (!isNaN(index)) {
index = parseInt(<any>index);
if (0 <= index && index < spread.getSheetCount()) {
spread.startSheetIndex(index);
}
}
}
changeSheetTabColor(e: any) {
this.sheetTabColor = e.target.value;
}
setSheetTabColor(e: any) {
let spread = this.spread;
let sheet = spread.getActiveSheet();
if (sheet) {
let color = this.sheetTabColor;
if (color) {
sheet.options.sheetTabColor = color;
}
}
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet [dataSource]="dataSource" [autoGenerateColumns]='autoGenerateColumns'>
<gc-column dataField="Film" width=160></gc-column>
<gc-column dataField="Genre" width=70></gc-column>
<gc-column dataField="Lead Studio" width=90></gc-column>
<gc-column dataField="Audience Score %" width=110></gc-column>
<gc-column dataField="Profitability" width=80></gc-column>
<gc-column dataField="Rating"></gc-column>
<gc-column dataField="Worldwide Gross" width=110></gc-column>
<gc-column dataField="Year"></gc-column>
</gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<label>Use these options to change the appearance and behavior of the tab strip.</label>
</div>
<div class="option-row">
<input type="checkbox" id="newtab_show" checked (change)="newTabVisible($event)" />
<label for="newtab_show">showNewTab</label>
</div>
<div class="option-row">
<input type="checkbox" id="tab_editable" checked (change)="tabEditable($event)" />
<label for="tab_editable">tabEditable</label>
</div>
<div class="option-row">
<input type="checkbox" id="tabstrip_visible" checked (change)="tabStripVisible($event)" />
<label for="tabstrip_visible">tabStripVisible</label>
</div>
<div class="option-row">
<input type="checkbox" id="tabnavigation_Visible" checked (change)="tabNavigationVisible($event)" />
<label for="tabnavigation_Visible">tabNavigationVisible</label>
</div>
<div class="option-row">
<select id="allSheetsButton_Visible" (change)="allSheetsButtonVisible($event)">
<option value="2">auto</option>
<option value="0">hidden</option>
<option value="1">show</option>
</select>
<label for="allSheetsButton_Visible">allSheetsButtonVisible</label>
</div>
<div class="option-row">
<select id="tabstrip_position" (change)="tabStripPosition($event)">
<option value="0">bottom</option>
<option value="1">top</option>
<option value="2">left</option>
<option value="3">right</option>
</select>
<label for="tabstrip_position">tabStripPosition</label>
</div>
<hr>
<label for="sheetTabColor" class="sizedLabel" style="padding-top: 20px">activeSheetTabColor:</label>
<div class="option-row">
<input type="text" id="sheetTabColor" value="red" (change)="changeSheetTabColor($event)" />
<input type="button" id="setSheetTabColor" value="Set" (click)="setSheetTabColor($event)"/>
</div>
<label >This changes the color for the tab of the active sheet.</label>
<br>
<label for="startSheetIndex" class="sizedLabel" style="padding-top: 20px">startSheetIndex:</label>
<div class="option-row">
<input type="text" id="startSheetIndex" value="0" (change)="changeStartSheetIndex($event)" />
<input type="button" id="setStartSheetIndex" value="Set" (click)="setStartSheetIndex($event)" />
</div>
<label >This navigates the sheet tab to the tab at the index specified (starting at 0).</label>
<br>
<label for="tabstrip_ratio" class="sizedLabel" style="padding-top: 20px">tabStripRatio:</label>
<div class="option-row">
<input type="text" id="tabstrip_ratio" value="0.5" (change)="changeTabStripRatio($event)" />
<input type="button" value="Set" id="setTabStripRatio" (click)="setTabStripRatio($event)" />
</div>
<label >This specifies the width ratio of the TabStrip to the width of the Spread instance (between 0 and 1).</label>
<br>
<label for="tabstrip_width" class="sizedLabel" style="padding-top: 20px">tabStripWidth:</label>
<div class="option-row">
<input type="text" id="tabstrip_width" value="80" (change)="changeTabStripWidth($event)" />
<input type="button" value="Set" id="setTabStripWidth" (click)="setTabStripWidth($event)" />
</div>
<label >This specifies the width of the TabStrip when it is at the left and right of workbook. The minimum is 80.</label>
</div>
</div>
export function getData() {
return [
{
"Film": "27 Dresses",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 71,
"Profitability": 5.34,
"Rating": 40,
"Worldwide Gross": 160.30,
"Year": 2008
},
{
"Film": "(500) Days of Summer",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 81,
"Profitability": 8.09,
"Rating": 87,
"Worldwide Gross": 60.72,
"Year": 2009
},
{
"Film": "A Dangerous Method",
"Genre": "Drama",
"Lead Studio": "Independent",
"Audience Score %": 89,
"Profitability": 0.44,
"Rating": 79,
"Worldwide Gross": 8.97,
"Year": 2011
},
{
"Film": "A Serious Man",
"Genre": "Drama",
"Lead Studio": "Universal",
"Audience Score %": 64,
"Profitability": 4.38,
"Rating": 89,
"Worldwide Gross": 30.68,
"Year": 2009
},
{
"Film": "Across the Universe",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 84,
"Profitability": 0.65,
"Rating": 54,
"Worldwide Gross": 29.36,
"Year": 2007
},
{
"Film": "Beginners",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 80,
"Profitability": 4.47,
"Rating": 84,
"Worldwide Gross": 14.31,
"Year": 2011
},
{
"Film": "Dear John",
"Genre": "Drama",
"Lead Studio": "Sony",
"Audience Score %": 66,
"Profitability": 4.5988,
"Rating": 29,
"Worldwide Gross": 114.97,
"Year": 2010
},
{
"Film": "Enchanted",
"Genre": "Comedy",
"Lead Studio": "Disney",
"Audience Score %": 80,
"Profitability": 4.00,
"Rating": 93,
"Worldwide Gross": 340.48,
"Year": 2007
},
{
"Film": "Fireproof",
"Genre": "Drama",
"Lead Studio": "Independent",
"Audience Score %": 51,
"Profitability": 66.93,
"Rating": 40,
"Worldwide Gross": 33.46,
"Year": 2008
},
{
"Film": "Four Christmases",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 52,
"Profitability": 2.02,
"Rating": 26,
"Worldwide Gross": 161.83,
"Year": 2008
},
{
"Film": "Ghosts of Girlfriends Past",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 47,
"Profitability": 2.0444,
"Rating": 27,
"Worldwide Gross": 102.22,
"Year": 2009
},
{
"Film": "Gnomeo and Juliet",
"Genre": "Animation",
"Lead Studio": "Disney",
"Audience Score %": 52,
"Profitability": 5.38,
"Rating": 56,
"Worldwide Gross": 193.96,
"Year": 2011
},
{
"Film": "Going the Distance",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 56,
"Profitability": 1.31,
"Rating": 53,
"Worldwide Gross": 42.05,
"Year": 2010
},
{
"Film": "Good Luck Chuck",
"Genre": "Comedy",
"Lead Studio": "Lionsgate",
"Audience Score %": 61,
"Profitability": 2.36,
"Rating": 3,
"Worldwide Gross": 59.19,
"Year": 2007
},
{
"Film": "He's Just Not That Into You",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 60,
"Profitability": 7.15,
"Rating": 42,
"Worldwide Gross": 178.84,
"Year": 2009
},
{
"Film": "High School Musical 3: Senior Year",
"Genre": "Comedy",
"Lead Studio": "Disney",
"Audience Score %": 76,
"Profitability": 22.91,
"Rating": 65,
"Worldwide Gross": 252.04,
"Year": 2008
},
{
"Film": "I Love You Phillip Morris",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 57,
"Profitability": 1.34,
"Rating": 71,
"Worldwide Gross": 20.1,
"Year": 2010
},
{
"Film": "It's Complicated",
"Genre": "Comedy",
"Lead Studio": "Universal",
"Audience Score %": 63,
"Profitability": 2.64,
"Rating": 56,
"Worldwide Gross": 224.6,
"Year": 2009
},
{
"Film": "Jane Eyre",
"Genre": "Romance",
"Lead Studio": "Universal",
"Audience Score %": 77,
"Profitability": null,
"Rating": 85,
"Worldwide Gross": 30.14,
"Year": 2011
},
{
"Film": "Just Wright",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 58,
"Profitability": 1.79,
"Rating": 45,
"Worldwide Gross": 21.56,
"Year": 2010
},
{
"Film": "Killers",
"Genre": "Action",
"Lead Studio": "Lionsgate",
"Audience Score %": 45,
"Profitability": 1.24,
"Rating": 11,
"Worldwide Gross": 93.4,
"Year": 2010
},
{
"Film": "Knocked Up",
"Genre": "Comedy",
"Lead Studio": "Universal",
"Audience Score %": 83,
"Profitability": 6.63,
"Rating": 91,
"Worldwide Gross": 219.00,
"Year": 2007
},
{
"Film": "Leap Year",
"Genre": "Comedy",
"Lead Studio": "Universal",
"Audience Score %": 49,
"Profitability": 1.71,
"Rating": 21,
"Worldwide Gross": 32.59,
"Year": 2010
},
{
"Film": "Letters to Juliet",
"Genre": "Comedy",
"Lead Studio": "Summit",
"Audience Score %": 62,
"Profitability": 2.639333333,
"Rating": 40,
"Worldwide Gross": 79.18,
"Year": 2010
},
{
"Film": "License to Wed",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 55,
"Profitability": 1.98,
"Rating": 8,
"Worldwide Gross": 69.30,
"Year": 2007
},
{
"Film": "Life as We Know It",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 62,
"Profitability": 2.53,
"Rating": 28,
"Worldwide Gross": 96.16,
"Year": 2010
},
{
"Film": "Love & Other Drugs",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 55,
"Profitability": 1.81,
"Rating": 48,
"Worldwide Gross": 54.53,
"Year": 2010
},
{
"Film": "Love Happens",
"Genre": "Drama",
"Lead Studio": "Universal",
"Audience Score %": 40,
"Profitability": 2.00,
"Rating": 18,
"Worldwide Gross": 36.08,
"Year": 2009
},
{
"Film": "Made of Honor",
"Genre": "Comedy",
"Lead Studio": "Sony",
"Audience Score %": 61,
"Profitability": 2.64,
"Rating": 13,
"Worldwide Gross": 105.96,
"Year": 2008
},
{
"Film": "Mamma Mia!",
"Genre": "Comedy",
"Lead Studio": "Universal",
"Audience Score %": 76,
"Profitability": 9.23,
"Rating": 53,
"Worldwide Gross": 609.47,
"Year": 2008
},
{
"Film": "Marley and Me",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 77,
"Profitability": 3.746781818,
"Rating": 63,
"Worldwide Gross": 206.073,
"Year": 2008
},
{
"Film": "Midnight in Paris",
"Genre": "Romance",
"Lead Studio": "Sony",
"Audience Score %": 84,
"Profitability": 8.74,
"Rating": 93,
"Worldwide Gross": 148.66,
"Year": 2011
},
{
"Film": "Miss Pettigrew Lives for a Day",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 70,
"Profitability": 0.25,
"Rating": 78,
"Worldwide Gross": 15.17,
"Year": 2008
},
{
"Film": "Monte Carlo",
"Genre": "Romance",
"Lead Studio": "20th Century Fox",
"Audience Score %": 50,
"Profitability": 1.98,
"Rating": 38,
"Worldwide Gross": 39.66,
"Year": 2011
},
{
"Film": "Music and Lyrics",
"Genre": "Romance",
"Lead Studio": "Warner Bros.",
"Audience Score %": 70,
"Profitability": 3.64,
"Rating": 63,
"Worldwide Gross": 145.89,
"Year": 2007
},
{
"Film": "My Week with Marilyn",
"Genre": "Drama",
"Lead Studio": "The Weinstein Company",
"Audience Score %": 84,
"Profitability": 0.82,
"Rating": 83,
"Worldwide Gross": 8.25,
"Year": 2011
},
{
"Film": "New Year's Eve",
"Genre": "Romance",
"Lead Studio": "Warner Bros.",
"Audience Score %": 48,
"Profitability": 2.53,
"Rating": 8,
"Worldwide Gross": 142.04,
"Year": 2011
},
{
"Film": "Nick and Norah's Infinite Playlist",
"Genre": "Comedy",
"Lead Studio": "Sony",
"Audience Score %": 67,
"Profitability": 3.35,
"Rating": 73,
"Worldwide Gross": 33.52,
"Year": 2008
},
{
"Film": "No Reservations",
"Genre": "Comedy",
"Lead Studio": "",
"Audience Score %": 64,
"Profitability": 3.30,
"Rating": 39,
"Worldwide Gross": 92.60,
"Year": 2007
},
{
"Film": "Not Easily Broken",
"Genre": "Drama",
"Lead Studio": "Independent",
"Audience Score %": 66,
"Profitability": 2.14,
"Rating": 34,
"Worldwide Gross": 10.7,
"Year": 2009
},
{
"Film": "One Day",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 54,
"Profitability": 3.68,
"Rating": 37,
"Worldwide Gross": 55.24,
"Year": 2011
},
{
"Film": "Our Family Wedding",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 49,
"Profitability": null,
"Rating": 14,
"Worldwide Gross": 21.37,
"Year": 2010
},
{
"Film": "Over Her Dead Body",
"Genre": "Comedy",
"Lead Studio": "New Line",
"Audience Score %": 47,
"Profitability": 2.07,
"Rating": 15,
"Worldwide Gross": 20.71,
"Year": 2008
},
{
"Film": "P.S. I Love You",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 82,
"Profitability": 5.10,
"Rating": 21,
"Worldwide Gross": 153.09,
"Year": 2007
},
{
"Film": "Penelope",
"Genre": "Comedy",
"Lead Studio": "Summit",
"Audience Score %": 74,
"Profitability": 1.38,
"Rating": 52,
"Worldwide Gross": 20.74,
"Year": 2008
},
{
"Film": "Rachel Getting Married",
"Genre": "Drama",
"Lead Studio": "Independent",
"Audience Score %": 61,
"Profitability": 1.38,
"Rating": 85,
"Worldwide Gross": 16.61,
"Year": 2008
},
{
"Film": "Remember Me",
"Genre": "Drama",
"Lead Studio": "Summit",
"Audience Score %": 70,
"Profitability": 3.49,
"Rating": 28,
"Worldwide Gross": 55.86,
"Year": 2010
},
{
"Film": "Sex and the City",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 81,
"Profitability": 7.22,
"Rating": 49,
"Worldwide Gross": 415.25,
"Year": 2008
},
{
"Film": "Sex and the City 2",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 49,
"Profitability": 2.88,
"Rating": 15,
"Worldwide Gross": 288.35,
"Year": 2010
},
{
"Film": "She's Out of My League",
"Genre": "Comedy",
"Lead Studio": "Paramount",
"Audience Score %": 60,
"Profitability": 2.44,
"Rating": 57,
"Worldwide Gross": 48.81,
"Year": 2010
},
{
"Film": "Something Borrowed",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": null,
"Profitability": 1.71,
"Rating": null,
"Worldwide Gross": 60.18,
"Year": 2011
},
{
"Film": "Tangled",
"Genre": "Animation",
"Lead Studio": "Disney",
"Audience Score %": 88,
"Profitability": 1.36,
"Rating": 89,
"Worldwide Gross": 355.08,
"Year": 2010
},
{
"Film": "The Back-up Plan",
"Genre": "Comedy",
"Lead Studio": "CBS",
"Audience Score %": 47,
"Profitability": 2.20,
"Rating": 20,
"Worldwide Gross": 77.09,
"Year": 2010
},
{
"Film": "The Curious Case of Benjamin Button",
"Genre": "Fantasy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 81,
"Profitability": 1.78,
"Rating": 73,
"Worldwide Gross": 285.43,
"Year": 2008
},
{
"Film": "The Duchess",
"Genre": "Drama",
"Lead Studio": "Paramount",
"Audience Score %": 68,
"Profitability": 3.20,
"Rating": 60,
"Worldwide Gross": 43.30,
"Year": 2008
},
{
"Film": "The Heartbreak Kid",
"Genre": "Comedy",
"Lead Studio": "Paramount",
"Audience Score %": 41,
"Profitability": 2.12,
"Rating": 30,
"Worldwide Gross": 127.76,
"Year": 2007
},
{
"Film": "The Invention of Lying",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 47,
"Profitability": 1.75,
"Rating": 56,
"Worldwide Gross": 32.4,
"Year": 2009
},
{
"Film": "The Proposal",
"Genre": "Comedy",
"Lead Studio": "Disney",
"Audience Score %": 74,
"Profitability": 7.86,
"Rating": 43,
"Worldwide Gross": 314.7,
"Year": 2009
},
{
"Film": "The Time Traveler's Wife",
"Genre": "Drama",
"Lead Studio": "Paramount",
"Audience Score %": 65,
"Profitability": 2.59,
"Rating": 38,
"Worldwide Gross": 101.33,
"Year": 2009
},
{
"Film": "The Twilight Saga: New Moon",
"Genre": "Drama",
"Lead Studio": "Summit",
"Audience Score %": 78,
"Profitability": 14.19,
"Rating": 27,
"Worldwide Gross": 709.82,
"Year": 2009
},
{
"Film": "The Ugly Truth",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 68,
"Profitability": 5.40,
"Rating": 14,
"Worldwide Gross": 205.3,
"Year": 2009
},
{
"Film": "Twilight",
"Genre": "Romance",
"Lead Studio": "Summit",
"Audience Score %": 82,
"Profitability": 10.18,
"Rating": 49,
"Worldwide Gross": 376.66,
"Year": 2008
},
{
"Film": "Twilight: Breaking Dawn",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 68,
"Profitability": 6.38,
"Rating": 26,
"Worldwide Gross": 702.17,
"Year": 2011
},
{
"Film": "Tyler Perry's Why Did I get Married",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 47,
"Profitability": 3.72,
"Rating": 46,
"Worldwide Gross": 55.862886,
"Year": 2007
},
{
"Film": "Valentine's Day",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 54,
"Profitability": 4.18,
"Rating": 17,
"Worldwide Gross": 217.57,
"Year": 2010
},
{
"Film": "Waiting For Forever",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 53,
"Profitability": 0.005,
"Rating": 6,
"Worldwide Gross": 0.025,
"Year": 2011
},
{
"Film": "Waitress",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 67,
"Profitability": 11.08,
"Rating": 89,
"Worldwide Gross": 22.17,
"Year": 2007
},
{
"Film": "WALL-E",
"Genre": "Animation",
"Lead Studio": "Disney",
"Audience Score %": 89,
"Profitability": 2.89,
"Rating": 96,
"Worldwide Gross": 521.28,
"Year": 2008
},
{
"Film": "Water For Elephants",
"Genre": "Drama",
"Lead Studio": "20th Century Fox",
"Audience Score %": 72,
"Profitability": 3.081421053,
"Rating": 60,
"Worldwide Gross": 117.094,
"Year": 2011
},
{
"Film": "What Happens in Vegas",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 72,
"Profitability": 6.26,
"Rating": 28,
"Worldwide Gross": 219.36,
"Year": 2008
},
{
"Film": "When in Rome",
"Genre": "Comedy",
"Lead Studio": "Disney",
"Audience Score %": 44,
"Profitability": 0,
"Rating": 15,
"Worldwide Gross": 43.04,
"Year": 2010
},
{
"Film": "You Will Meet a Tall Dark Stranger",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 35,
"Profitability": 1.21,
"Rating": 43,
"Worldwide Gross": 26.66,
"Year": 2010
},
{
"Film": "Youth in Revolt",
"Genre": "Comedy",
"Lead Studio": "The Weinstein Company",
"Audience Score %": 52,
"Profitability": 1.09,
"Rating": 68,
"Worldwide Gross": 19.62,
"Year": 2010
},
{
"Film": "Zack and Miri Make a Porno",
"Genre": "Romance",
"Lead Studio": "The Weinstein Company",
"Audience Score %": 70,
"Profitability": 1.74,
"Rating": 64,
"Worldwide Gross": 41.94,
"Year": 2008
}
];
}
.sizedLabel {
display: inline-block;
width: 150px;
}
.colorLabel {
background-color: #F4F8EB;
}
input[type="text"] {
width: 100px;
}
input[type="button"] {
width: 60px;
margin: 0 10px;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
}
label {
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
hr {
border-color: #fff;
opacity: .2;
margin-top: 20px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

Use SpreadJS's options properties to control the Tab Strip's visibility and the behavior of its elements:
The leftmost Tab Navigation Arrows: If there are more worksheets than can fit in the tab strip, the arrows will be enabled and the user can use them to show other sheet tabs in the list.
Worksheet Tabs: The user can double click a tab to rename a sheet as well as drag and drop the tab to reorder the sheets.
The hamburger button ("≡"): Show all sheets list.
The circled + button: adding a new sheet to the workbook.
Tab Strip Splitter: Used to split the horizontal space of the control between the Tab Strip and the horizontal scrollbar when the Tab Strip is at the bottom of the workbook.
Tab Strip Position: Specify if the tab strip will be positioned at the bottom (default), top, left or right off the spreadsheet.
Use the tabStripVisible option to control the visibility of the entire Tab Strip :
Set the tabNavigationVisible option to false to hide the navigation arrow buttons which are visible by default.
Allow or prevent the user from renaming the sheets by setting the tabEditable option (boolean)
Allow or prevent the user from reordering the sheets using the allowSheetReorder option (boolean)
Change the ActiveSheets tab's color by setting sheetTabColor which takes a color name string: 'red', 'green'.
Allow or prevent the user from adding sheets to the workbook by using newTabVisible option which controls the visibility of the + circled button (visible by default):
The tabStripRatio option is a percentage value (0.x) that specifies how much of the horizontal space will be allocated to the tab strip. The rest of the horizontal area (1 - 0.x) will allocated to the horizontal scrollbar.
Change the tab strip position relative to the workbook by using tabStripPosition. There are four kinds of directions:
bottom: the tab strip is at the bottom of the workbook, and it is the default value of tabStripPosition.
top: the tab strip is at the top of the workbook.
left: the tab strip is at the left of the workbook.
right: the tab strip is at the right of the workbook.
When the tab strip is at the left or right of the workbook, user could scroll the tabs by using mousewheel.
When the tab strip is at the left or right of the workbook, user could use tabStripWidth to customize its width. It could be useful for the long sheet name. The default and the minimum is 80.
Allow or prevent the user from opening the all sheets dialog by using the allSheetsListVisible option, which controls the visibility of the "≡" button (auto by default):
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet :dataSource="dataSource" :autoGenerateColumns=false>
<gc-column :dataField="'Film'" :width="160"></gc-column>
<gc-column :dataField="'Genre'" :width="70"></gc-column>
<gc-column :dataField="'Lead Studio'" :width="90"></gc-column>
<gc-column :dataField="'Audience Score %'" :width="110"></gc-column>
<gc-column :dataField="'Profitability'" :width="80"></gc-column>
<gc-column :dataField="'Rating'"></gc-column>
<gc-column :dataField="'Worldwide Gross'" :width="110"></gc-column>
<gc-column :dataField="'Year'"></gc-column>
</gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<label>Use these options to change the appearance and behavior of the tab strip.</label>
</div>
<div class="option-row">
<input type="checkbox" id="newtab_show" checked @change="newTabVisible" />
<label for="newtab_show">showNewTab</label>
</div>
<div class="option-row">
<input type="checkbox" id="tab_editable" checked @change="tabEditable" />
<label for="tab_editable">tabEditable</label>
</div>
<div class="option-row">
<input type="checkbox" id="tabstrip_visible" checked @change="tabStripVisible" />
<label for="tabstrip_visible">tabStripVisible</label>
</div>
<div class="option-row">
<input type="checkbox" id="tabnavigation_Visible" checked @change="tabNavigationVisible" />
<label for="tabnavigation_Visible">tabNavigationVisible</label>
</div>
<div class="option-row">
<select id="allSheetsButton_Visible" @change="allSheetsButtonVisible">
<option value="2">auto</option>
<option value="0">hidden</option>
<option value="1">show</option>
</select>
<label for="allSheetsButton_Visible">allSheetsButtonVisible</label>
</div>
<div class="option-row">
<select id="tabstrip_position" @change="tabStripPosition">
<option value="0">bottom</option>
<option value="1">top</option>
<option value="2">left</option>
<option value="3">right</option>
</select>
<label for="tabstrip_position">tabStripPosition</label>
</div>
<hr>
<label for="sheetTabColor" class="sizedLabel" style="padding-top: 20px">activeSheetTabColor:</label>
<div class="option-row">
<input type="text" id="sheetTabColor" value="red" @change="changeSheetTabColor" />
<input type="button" id="setSheetTabColor" value="Set" @click="setSheetTabColor" />
</div>
<label>This changes the color for the tab of the active sheet.</label>
<br />
<label for="startSheetIndex" class="sizedLabel" style="padding-top: 20px">startSheetIndex:</label>
<div class="option-row">
<input type="text" id="startSheetIndex" value="0" @change="changeStartSheetIndex" />
<input type="button" id="setStartSheetIndex" value="Set" @click="setStartSheetIndex" />
</div>
<label>This navigates the sheet tab to the tab at the index specified (starting at 0).</label>
<br>
<label for="tabstrip_ratio" class="sizedLabel" style="padding-top: 20px">tabStripRatio:</label>
<div class="option-row">
<input type="text" id="tabstrip_ratio" value="0.5" @change="changeTabStripRatio" />
<input type="button" value="Set" id="setTabStripRatio" @click="setTabStripRatio" />
</div>
<label>This specifies the width ratio of the TabStrip to the width of the Spread instance (between 0 and
1).</label>
<br>
<label for="tabstrip_width" class="sizedLabel" style="padding-top: 20px">tabStripWidth:</label>
<div class="option-row">
<input type="text" id="tabstrip_width" value="80" @change="changeTabStripWidth" />
<input type="button" value="Set" id="setTabStripWidth" @click="setTabStripWidth" />
</div>
<label>This specifies the width of the TabStrip when it is at the left and right of workbook. The minimum is
80.</label>
</div>
</div>
</template>
<script setup>
import GC from "@mescius/spread-sheets";
import { ref } from "vue";
import "@mescius/spread-sheets-vue";
import { getData } from './data.js';
const dataSource = getData();
let spread = null;
let tabStripRatio = 0.5;
let tabStripWidth = 80;
let startSheetIndex = 0;
let sheetTabColor = 'red';
const initSpread = (s) => {
spread = s;
spread.setSheetCount(2);
};
const newTabVisible = (e) => {
spread.options.newTabVisible = e.target.checked;
spread.invalidateLayout();
spread.repaint();
};
const tabEditable = (e) => {
spread.options.tabEditable = e.target.checked;
};
const tabStripVisible = (e) => {
spread.options.tabStripVisible = e.target.checked;
spread.invalidateLayout();
spread.repaint();
};
const tabStripPosition = (e) => {
spread.options.tabStripPosition = Number(e.target.value);
spread.invalidateLayout();
spread.repaint();
};
const tabNavigationVisible = (e) => {
spread.options.tabNavigationVisible = e.target.checked;
};
const allSheetsButtonVisible = (e) => {
spread.options.allSheetsListVisible = parseFloat(e.target.value);
};
const changeTabStripRatio = (e) => {
tabStripRatio = parseFloat(e.target.value);
};
const changeTabStripWidth = (e) => {
tabStripWidth = parseInt(e.target.value);
};
const setTabStripRatio = (e) => {
let ratio = tabStripRatio;
if (!isNaN(ratio)) {
spread.options.tabStripRatio = ratio;
}
};
const setTabStripWidth = (e) => {
let width = tabStripWidth;
if (!isNaN(width)) {
spread.options.tabStripWidth = width;
}
};
const changeStartSheetIndex = (e) => {
startSheetIndex = parseInt(e.target.value);
};
const setStartSheetIndex = (e) => {
let index = startSheetIndex;
if (!isNaN(index)) {
index = parseInt(index);
if (0 <= index && index < spread.getSheetCount()) {
spread.startSheetIndex(index);
}
}
};
const changeSheetTabColor = (e) => {
sheetTabColor = e.target.value;
};
const setSheetTabColor = (e) => {
let sheet = spread.getActiveSheet();
if (sheet) {
let color = sheetTabColor;
if (color) {
sheet.options.sheetTabColor = color;
}
}
}
</script>
<style scoped>
#app {
height: 100%;
}
.sizedLabel {
display: inline-block;
width: 150px;
}
.colorLabel {
background-color: #F4F8EB;
}
input[type="text"] {
width: 100px;
}
input[type="button"] {
width: 60px;
margin: 0 10px;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
}
label {
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
hr {
border-color: #fff;
opacity: .2;
margin-top: 20px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
export function getData() {
return [
{
"Film": "27 Dresses",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 71,
"Profitability": 5.34,
"Rating": 40,
"Worldwide Gross": 160.30,
"Year": 2008
},
{
"Film": "(500) Days of Summer",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 81,
"Profitability": 8.09,
"Rating": 87,
"Worldwide Gross": 60.72,
"Year": 2009
},
{
"Film": "A Dangerous Method",
"Genre": "Drama",
"Lead Studio": "Independent",
"Audience Score %": 89,
"Profitability": 0.44,
"Rating": 79,
"Worldwide Gross": 8.97,
"Year": 2011
},
{
"Film": "A Serious Man",
"Genre": "Drama",
"Lead Studio": "Universal",
"Audience Score %": 64,
"Profitability": 4.38,
"Rating": 89,
"Worldwide Gross": 30.68,
"Year": 2009
},
{
"Film": "Across the Universe",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 84,
"Profitability": 0.65,
"Rating": 54,
"Worldwide Gross": 29.36,
"Year": 2007
},
{
"Film": "Beginners",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 80,
"Profitability": 4.47,
"Rating": 84,
"Worldwide Gross": 14.31,
"Year": 2011
},
{
"Film": "Dear John",
"Genre": "Drama",
"Lead Studio": "Sony",
"Audience Score %": 66,
"Profitability": 4.5988,
"Rating": 29,
"Worldwide Gross": 114.97,
"Year": 2010
},
{
"Film": "Enchanted",
"Genre": "Comedy",
"Lead Studio": "Disney",
"Audience Score %": 80,
"Profitability": 4.00,
"Rating": 93,
"Worldwide Gross": 340.48,
"Year": 2007
},
{
"Film": "Fireproof",
"Genre": "Drama",
"Lead Studio": "Independent",
"Audience Score %": 51,
"Profitability": 66.93,
"Rating": 40,
"Worldwide Gross": 33.46,
"Year": 2008
},
{
"Film": "Four Christmases",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 52,
"Profitability": 2.02,
"Rating": 26,
"Worldwide Gross": 161.83,
"Year": 2008
},
{
"Film": "Ghosts of Girlfriends Past",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 47,
"Profitability": 2.0444,
"Rating": 27,
"Worldwide Gross": 102.22,
"Year": 2009
},
{
"Film": "Gnomeo and Juliet",
"Genre": "Animation",
"Lead Studio": "Disney",
"Audience Score %": 52,
"Profitability": 5.38,
"Rating": 56,
"Worldwide Gross": 193.96,
"Year": 2011
},
{
"Film": "Going the Distance",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 56,
"Profitability": 1.31,
"Rating": 53,
"Worldwide Gross": 42.05,
"Year": 2010
},
{
"Film": "Good Luck Chuck",
"Genre": "Comedy",
"Lead Studio": "Lionsgate",
"Audience Score %": 61,
"Profitability": 2.36,
"Rating": 3,
"Worldwide Gross": 59.19,
"Year": 2007
},
{
"Film": "He's Just Not That Into You",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 60,
"Profitability": 7.15,
"Rating": 42,
"Worldwide Gross": 178.84,
"Year": 2009
},
{
"Film": "High School Musical 3: Senior Year",
"Genre": "Comedy",
"Lead Studio": "Disney",
"Audience Score %": 76,
"Profitability": 22.91,
"Rating": 65,
"Worldwide Gross": 252.04,
"Year": 2008
},
{
"Film": "I Love You Phillip Morris",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 57,
"Profitability": 1.34,
"Rating": 71,
"Worldwide Gross": 20.1,
"Year": 2010
},
{
"Film": "It's Complicated",
"Genre": "Comedy",
"Lead Studio": "Universal",
"Audience Score %": 63,
"Profitability": 2.64,
"Rating": 56,
"Worldwide Gross": 224.6,
"Year": 2009
},
{
"Film": "Jane Eyre",
"Genre": "Romance",
"Lead Studio": "Universal",
"Audience Score %": 77,
"Profitability": null,
"Rating": 85,
"Worldwide Gross": 30.14,
"Year": 2011
},
{
"Film": "Just Wright",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 58,
"Profitability": 1.79,
"Rating": 45,
"Worldwide Gross": 21.56,
"Year": 2010
},
{
"Film": "Killers",
"Genre": "Action",
"Lead Studio": "Lionsgate",
"Audience Score %": 45,
"Profitability": 1.24,
"Rating": 11,
"Worldwide Gross": 93.4,
"Year": 2010
},
{
"Film": "Knocked Up",
"Genre": "Comedy",
"Lead Studio": "Universal",
"Audience Score %": 83,
"Profitability": 6.63,
"Rating": 91,
"Worldwide Gross": 219.00,
"Year": 2007
},
{
"Film": "Leap Year",
"Genre": "Comedy",
"Lead Studio": "Universal",
"Audience Score %": 49,
"Profitability": 1.71,
"Rating": 21,
"Worldwide Gross": 32.59,
"Year": 2010
},
{
"Film": "Letters to Juliet",
"Genre": "Comedy",
"Lead Studio": "Summit",
"Audience Score %": 62,
"Profitability": 2.639333333,
"Rating": 40,
"Worldwide Gross": 79.18,
"Year": 2010
},
{
"Film": "License to Wed",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 55,
"Profitability": 1.98,
"Rating": 8,
"Worldwide Gross": 69.30,
"Year": 2007
},
{
"Film": "Life as We Know It",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 62,
"Profitability": 2.53,
"Rating": 28,
"Worldwide Gross": 96.16,
"Year": 2010
},
{
"Film": "Love & Other Drugs",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 55,
"Profitability": 1.81,
"Rating": 48,
"Worldwide Gross": 54.53,
"Year": 2010
},
{
"Film": "Love Happens",
"Genre": "Drama",
"Lead Studio": "Universal",
"Audience Score %": 40,
"Profitability": 2.00,
"Rating": 18,
"Worldwide Gross": 36.08,
"Year": 2009
},
{
"Film": "Made of Honor",
"Genre": "Comedy",
"Lead Studio": "Sony",
"Audience Score %": 61,
"Profitability": 2.64,
"Rating": 13,
"Worldwide Gross": 105.96,
"Year": 2008
},
{
"Film": "Mamma Mia!",
"Genre": "Comedy",
"Lead Studio": "Universal",
"Audience Score %": 76,
"Profitability": 9.23,
"Rating": 53,
"Worldwide Gross": 609.47,
"Year": 2008
},
{
"Film": "Marley and Me",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 77,
"Profitability": 3.746781818,
"Rating": 63,
"Worldwide Gross": 206.073,
"Year": 2008
},
{
"Film": "Midnight in Paris",
"Genre": "Romance",
"Lead Studio": "Sony",
"Audience Score %": 84,
"Profitability": 8.74,
"Rating": 93,
"Worldwide Gross": 148.66,
"Year": 2011
},
{
"Film": "Miss Pettigrew Lives for a Day",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 70,
"Profitability": 0.25,
"Rating": 78,
"Worldwide Gross": 15.17,
"Year": 2008
},
{
"Film": "Monte Carlo",
"Genre": "Romance",
"Lead Studio": "20th Century Fox",
"Audience Score %": 50,
"Profitability": 1.98,
"Rating": 38,
"Worldwide Gross": 39.66,
"Year": 2011
},
{
"Film": "Music and Lyrics",
"Genre": "Romance",
"Lead Studio": "Warner Bros.",
"Audience Score %": 70,
"Profitability": 3.64,
"Rating": 63,
"Worldwide Gross": 145.89,
"Year": 2007
},
{
"Film": "My Week with Marilyn",
"Genre": "Drama",
"Lead Studio": "The Weinstein Company",
"Audience Score %": 84,
"Profitability": 0.82,
"Rating": 83,
"Worldwide Gross": 8.25,
"Year": 2011
},
{
"Film": "New Year's Eve",
"Genre": "Romance",
"Lead Studio": "Warner Bros.",
"Audience Score %": 48,
"Profitability": 2.53,
"Rating": 8,
"Worldwide Gross": 142.04,
"Year": 2011
},
{
"Film": "Nick and Norah's Infinite Playlist",
"Genre": "Comedy",
"Lead Studio": "Sony",
"Audience Score %": 67,
"Profitability": 3.35,
"Rating": 73,
"Worldwide Gross": 33.52,
"Year": 2008
},
{
"Film": "No Reservations",
"Genre": "Comedy",
"Lead Studio": "",
"Audience Score %": 64,
"Profitability": 3.30,
"Rating": 39,
"Worldwide Gross": 92.60,
"Year": 2007
},
{
"Film": "Not Easily Broken",
"Genre": "Drama",
"Lead Studio": "Independent",
"Audience Score %": 66,
"Profitability": 2.14,
"Rating": 34,
"Worldwide Gross": 10.7,
"Year": 2009
},
{
"Film": "One Day",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 54,
"Profitability": 3.68,
"Rating": 37,
"Worldwide Gross": 55.24,
"Year": 2011
},
{
"Film": "Our Family Wedding",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 49,
"Profitability": null,
"Rating": 14,
"Worldwide Gross": 21.37,
"Year": 2010
},
{
"Film": "Over Her Dead Body",
"Genre": "Comedy",
"Lead Studio": "New Line",
"Audience Score %": 47,
"Profitability": 2.07,
"Rating": 15,
"Worldwide Gross": 20.71,
"Year": 2008
},
{
"Film": "P.S. I Love You",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 82,
"Profitability": 5.10,
"Rating": 21,
"Worldwide Gross": 153.09,
"Year": 2007
},
{
"Film": "Penelope",
"Genre": "Comedy",
"Lead Studio": "Summit",
"Audience Score %": 74,
"Profitability": 1.38,
"Rating": 52,
"Worldwide Gross": 20.74,
"Year": 2008
},
{
"Film": "Rachel Getting Married",
"Genre": "Drama",
"Lead Studio": "Independent",
"Audience Score %": 61,
"Profitability": 1.38,
"Rating": 85,
"Worldwide Gross": 16.61,
"Year": 2008
},
{
"Film": "Remember Me",
"Genre": "Drama",
"Lead Studio": "Summit",
"Audience Score %": 70,
"Profitability": 3.49,
"Rating": 28,
"Worldwide Gross": 55.86,
"Year": 2010
},
{
"Film": "Sex and the City",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 81,
"Profitability": 7.22,
"Rating": 49,
"Worldwide Gross": 415.25,
"Year": 2008
},
{
"Film": "Sex and the City 2",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 49,
"Profitability": 2.88,
"Rating": 15,
"Worldwide Gross": 288.35,
"Year": 2010
},
{
"Film": "She's Out of My League",
"Genre": "Comedy",
"Lead Studio": "Paramount",
"Audience Score %": 60,
"Profitability": 2.44,
"Rating": 57,
"Worldwide Gross": 48.81,
"Year": 2010
},
{
"Film": "Something Borrowed",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": null,
"Profitability": 1.71,
"Rating": null,
"Worldwide Gross": 60.18,
"Year": 2011
},
{
"Film": "Tangled",
"Genre": "Animation",
"Lead Studio": "Disney",
"Audience Score %": 88,
"Profitability": 1.36,
"Rating": 89,
"Worldwide Gross": 355.08,
"Year": 2010
},
{
"Film": "The Back-up Plan",
"Genre": "Comedy",
"Lead Studio": "CBS",
"Audience Score %": 47,
"Profitability": 2.20,
"Rating": 20,
"Worldwide Gross": 77.09,
"Year": 2010
},
{
"Film": "The Curious Case of Benjamin Button",
"Genre": "Fantasy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 81,
"Profitability": 1.78,
"Rating": 73,
"Worldwide Gross": 285.43,
"Year": 2008
},
{
"Film": "The Duchess",
"Genre": "Drama",
"Lead Studio": "Paramount",
"Audience Score %": 68,
"Profitability": 3.20,
"Rating": 60,
"Worldwide Gross": 43.30,
"Year": 2008
},
{
"Film": "The Heartbreak Kid",
"Genre": "Comedy",
"Lead Studio": "Paramount",
"Audience Score %": 41,
"Profitability": 2.12,
"Rating": 30,
"Worldwide Gross": 127.76,
"Year": 2007
},
{
"Film": "The Invention of Lying",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 47,
"Profitability": 1.75,
"Rating": 56,
"Worldwide Gross": 32.4,
"Year": 2009
},
{
"Film": "The Proposal",
"Genre": "Comedy",
"Lead Studio": "Disney",
"Audience Score %": 74,
"Profitability": 7.86,
"Rating": 43,
"Worldwide Gross": 314.7,
"Year": 2009
},
{
"Film": "The Time Traveler's Wife",
"Genre": "Drama",
"Lead Studio": "Paramount",
"Audience Score %": 65,
"Profitability": 2.59,
"Rating": 38,
"Worldwide Gross": 101.33,
"Year": 2009
},
{
"Film": "The Twilight Saga: New Moon",
"Genre": "Drama",
"Lead Studio": "Summit",
"Audience Score %": 78,
"Profitability": 14.19,
"Rating": 27,
"Worldwide Gross": 709.82,
"Year": 2009
},
{
"Film": "The Ugly Truth",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 68,
"Profitability": 5.40,
"Rating": 14,
"Worldwide Gross": 205.3,
"Year": 2009
},
{
"Film": "Twilight",
"Genre": "Romance",
"Lead Studio": "Summit",
"Audience Score %": 82,
"Profitability": 10.18,
"Rating": 49,
"Worldwide Gross": 376.66,
"Year": 2008
},
{
"Film": "Twilight: Breaking Dawn",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 68,
"Profitability": 6.38,
"Rating": 26,
"Worldwide Gross": 702.17,
"Year": 2011
},
{
"Film": "Tyler Perry's Why Did I get Married",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 47,
"Profitability": 3.72,
"Rating": 46,
"Worldwide Gross": 55.862886,
"Year": 2007
},
{
"Film": "Valentine's Day",
"Genre": "Comedy",
"Lead Studio": "Warner Bros.",
"Audience Score %": 54,
"Profitability": 4.18,
"Rating": 17,
"Worldwide Gross": 217.57,
"Year": 2010
},
{
"Film": "Waiting For Forever",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 53,
"Profitability": 0.005,
"Rating": 6,
"Worldwide Gross": 0.025,
"Year": 2011
},
{
"Film": "Waitress",
"Genre": "Romance",
"Lead Studio": "Independent",
"Audience Score %": 67,
"Profitability": 11.08,
"Rating": 89,
"Worldwide Gross": 22.17,
"Year": 2007
},
{
"Film": "WALL-E",
"Genre": "Animation",
"Lead Studio": "Disney",
"Audience Score %": 89,
"Profitability": 2.89,
"Rating": 96,
"Worldwide Gross": 521.28,
"Year": 2008
},
{
"Film": "Water For Elephants",
"Genre": "Drama",
"Lead Studio": "20th Century Fox",
"Audience Score %": 72,
"Profitability": 3.081421053,
"Rating": 60,
"Worldwide Gross": 117.094,
"Year": 2011
},
{
"Film": "What Happens in Vegas",
"Genre": "Comedy",
"Lead Studio": "Fox",
"Audience Score %": 72,
"Profitability": 6.26,
"Rating": 28,
"Worldwide Gross": 219.36,
"Year": 2008
},
{
"Film": "When in Rome",
"Genre": "Comedy",
"Lead Studio": "Disney",
"Audience Score %": 44,
"Profitability": 0,
"Rating": 15,
"Worldwide Gross": 43.04,
"Year": 2010
},
{
"Film": "You Will Meet a Tall Dark Stranger",
"Genre": "Comedy",
"Lead Studio": "Independent",
"Audience Score %": 35,
"Profitability": 1.21,
"Rating": 43,
"Worldwide Gross": 26.66,
"Year": 2010
},
{
"Film": "Youth in Revolt",
"Genre": "Comedy",
"Lead Studio": "The Weinstein Company",
"Audience Score %": 52,
"Profitability": 1.09,
"Rating": 68,
"Worldwide Gross": 19.62,
"Year": 2010
},
{
"Film": "Zack and Miri Make a Porno",
"Genre": "Romance",
"Lead Studio": "The Weinstein Company",
"Audience Score %": 70,
"Profitability": 1.74,
"Rating": 64,
"Worldwide Gross": 41.94,
"Year": 2008
}
];
}
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-en': 'npm:@mescius/spread-sheets-resources-en/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);